<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) 2022 Amasty (https://www.amasty.com)
 * @package Subscriptions & Recurring Payments for Magento 2: Stripe (System)
 */

namespace Amasty\RecurringStripe\Api;

interface IpnHandlerInterface
{
    /**
     * Get ipn data, run corresponding handler
     *
     * @param \Stripe\Event $event
     * @return void
     * @throws \Exception
     */
    public function process(\Stripe\Event $event);
}
